use rslint_regex::*;

fn main() {
    for _ in 0..10000 {
        let parser = Parser::new_from_pattern_and_flags(
            r"^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$",
            0,
            0,
            EcmaVersion::ES2021,
            false,
            Flags::empty(),
        );
        drop(parser.parse().unwrap())
    }
}
